Update a JSON Web Key Set
Use this method if you do not want to let Hydra generate the JWKs for you, but instead save your own.
PUT /admin/keys/{set}
Use this method if you do not want to let Hydra generate the JWKs for you, but instead save your own.
A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.
Operation ID: setJsonWebKeySet Tag: jwk
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
set | string | yes | The JSON Web Key Set ID |
Request body
Content-Type: application/json
Type: object
Schema: jsonWebKeySet, see the Ory Hydra API schemas reference for the full type.
Responses
| Status | Description | Body |
|---|---|---|
| 200 | jsonWebKeySet | application/json, object |
| default | errorOAuth2 | application/json, object |
Generated from ../athena/openapi.json at build time.
Create JSON Web Key
This endpoint is capable of generating JSON Web Key Sets for you. There a different strategies available, such as symmetric cryptographic keys (HS256, HS512) and asymetric cryptographic keys (RS256, E
Delete JSON Web Key Set
Use this endpoint to delete a complete JSON Web Key Set and all the keys in that set.